# Object Class Reference

[GameLogic Index] [GameLogic Hierarchy]

Baseclass for all game objects More...

`#include <object.h>`

## Public Members

- Object ()
- ~Object ()
- PyObject* setOrientation (PyObject* pylist)
- PyObject* getOrientation ()

## Detailed Description

Baseclass for all game objects.

## PyObject* setOrientation(PyObject* pylist)

A list of lists is used to set the orientation matrix within Blender's game engine.

## PyObject* getOrientation()

A list of lists is returned for the orientation matrix within Blender's game engine.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc